# This YAML configuration is to run embedding with 3 cluster collections, each produced from the same
# cells but with different clusterization cell thresholds. One should add a total of five "specialized"
# correction task wagons: "_data", "_embed", "_combined50", "_combined100", "_combined150"
pass: "usedefault"
recycleUnusedEmbeddedEventsMode: true
inputObjects:
    cells:
        cells:
            branchName: "usedefault"
        cells_embed:
            branchName: "usedefault"
            embedding: true
        cells_combined:
            branchName: "emcalCellsCombined"
    clusterContainers:
        # Used for the clusterizer with 50 MeV cell threshold
        baseClusterContainer50:
            branchName: "caloClustersCombined_cell50"
        # Used after clusterizer
        baseClusterContainer50_1:
            minE: 0.0
            minPt: 0.0
        # Used for cluster-track matcher and after
        baseClusterContainer50_2:
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
        # Used for the clusterizer with 100 MeV cell threshold
        baseClusterContainer100:
            branchName: "caloClustersCombined_cell100"
        # Used after clusterizer
        baseClusterContainer100_1:
            minE: 0.0
            minPt: 0.0
        # Used for cluster-track matcher and after
        baseClusterContainer100_2:
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
        # Used for the clusterizer with 150 MeV cell threshold
        baseClusterContainer150:
            branchName: "caloClustersCombined_cell150"
        # Used after clusterizer
        baseClusterContainer150_1:
            minE: 0.0
            minPt: 0.0
        # Used for cluster-track matcher and after
        baseClusterContainer150_2:
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
    trackContainers:
        trackContainerName:
            branchName: "usedefault"
            minPt: 0.15
        trackContainerName_embed:
            embedding: true
CellEnergy_data:
    enabled: true
    createHistos: true
    cellsNames:
        - cells
CellBadChannel_data:
    enabled: true
    createHistos: true
    cellsNames:
        - cells
CellBadChannel_embed:
    enabled: true
    createHistos: true
    cellsNames:
        - cells_embed
CellTimeCalib_data:
    enabled: true
    createHistos: true
    cellsNames:
        - cells
CellTimeCalib_embed:
    enabled: true
    createHistos: true
    cellsNames:
        - cells_embed
# We just need to combine the cell collections once, so I just include it in the first specialization wagon that will run (alphabetical)
CellCombineCollections_combined100:
    enabled: true
    cellsNames:
        - cells
Clusterizer:
    enabled: false
    cellTimeMin: -50e-6
    cellTimeMax: 50e-6
    cellsNames:
        - cells_combined
Clusterizer_combined50:
    enabled: true
    cellE: 0.05
    seedE: 0.1
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainer50
Clusterizer_combined100:
    enabled: true
    cellE: 0.1
    seedE: 0.3
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainer100
Clusterizer_combined150:
    enabled: true
    cellE: 0.15
    seedE: 0.3
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainer150
ClusterExotics:
    enabled: false
    createHistos: true
    cellsNames:
        - cells_combined
ClusterExotics_combined50:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer50_1
ClusterExotics_combined100:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer100_1
ClusterExotics_combined150:
    enabled: true
    clusterContainersNames:
       - baseClusterContainer150_1
ClusterNonLinearity:
    enabled: false
    createHistos: true
    cellsNames:
        - cells_combined
ClusterNonLinearity_combined50:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer50_1
ClusterNonLinearity_combined100:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer100_1
ClusterNonLinearity_combined150:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer150_1
ClusterTrackMatcher:
    enabled: false
    createHistos: true
    cellsNames:
        - cells_combined
    trackContainersNames:
        - trackContainerName
        - trackContainerName_embed
ClusterTrackMatcher_combined50:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer50_2
ClusterTrackMatcher_combined100:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer100_2
ClusterTrackMatcher_combined150:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer150_2
ClusterHadronicCorrection:
    enabled: false
    createHistos: true
    plotOversubtractionHistograms: true
    cellsNames:
        - cells_combined
    trackContainersNames:
        - trackContainerName
        - trackContainerName_embed
ClusterHadronicCorrection_combined50:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer50_2
ClusterHadronicCorrection_combined100:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer100_2
ClusterHadronicCorrection_combined150:
    enabled: true
    clusterContainersNames:
        - baseClusterContainer150_2
